function [ p ] = chi2dist( x, v )
%CHI2DIST Return the cumulative distribution function of a Chi-Square
%   Return the cumulative distribution function of a Chi-Square with v
%   degrees of freedom
%
%   AUTHOR:
%   Inmaculada C. lvarez
%   Javier Barbero
%   Jos L. Zofo
%
%   http://www.paneldatatoolbox.com
%
%   Version: 1.0
%   LAST UPDATE: 17, October, 2013
%

    p = gammainc(x/2, v/2);

end

