function [ x ] = chi2invdist( p, v )
%CHI2INVDIST Return the inverse cumulative distribution function of a Chi-Square
%   Return the inverse cumulative distribution function of a Chi-Square
%   with v degrees of freedom
%
%   AUTHOR:
%   Inmaculada C. lvarez
%   Javier Barbero
%   Jos L. Zofo
%
%   http://www.paneldatatoolbox.com
%
%   Version: 1.0
%   LAST UPDATE: 17, October, 2013
%

    x = 2*gammaincinv(p,v/2);

end

