function [ p ] = tdist( t, v )
%TDIST Return the cumulative distribution function of a student-t
%   Return the cumulative distribution function of a student-t with v
%   degrees of freedom
%
%   AUTHOR:
%   Inmaculada C. lvarez
%   Javier Barbero
%   Jos L. Zofo
%
%   http://www.paneldatatoolbox.com
%
%   Version: 1.0
%   LAST UPDATE: 17, October, 2013
%

    x = v./(v+t.^2);
    p(t <= 0) = 1/2 .* betainc(x(t<=0), 1/2*v, 1/2);
    p(t > 0) = 1 - 1/2 .* betainc(x(t>0), 1/2*v, 1/2);

end

