function [ est ] = adddefivarnames( est )
%UNTITLED3 Summary of this function goes here
%   Detailed explanation goes here

    switch(est.method)
        case {'S2SLS','SPanel'}
            isSpatial = 1;
        otherwise 
            isSpatial = 0;
    end

    % Not all ivar names specified
    nivarnames = size(est.ivarnames,2);
    
    if ~iscell(est.ivarnames)
        est.ivarnames = cell(est.k,1);
        nivarnames = 0;
    end
    
    if nivarnames < est.k-1
        for i=nivarnames+1:1:est.k-1
            est.ivarnames(i) = cellstr(sprintf('ivar%d',i));
        end
    end
    
    % Add constant name if not specified
    if nivarnames < est.k        
        est.ivarnames(est.k) = cellstr('CONSTANT');
    end
    
    % Add spatial lagged dependent variable if not specified
    if (nivarnames < (est.k-1)) && isSpatial
        est.ivarnames(est.k-1) = cellstr(strcat('W*',char(est.dvarnames)));
    end

end

